import { default as MicroEditorModel } from "../../../Models/MicroEditorModel.js";
export interface IInputVariableViewOptions {
    focus: Function;
    editor: MicroEditorModel;
    variableUsed: boolean;
}
export declare class InputVariableView extends Jade.UI.Control {
    private m_editorModel;
    constructor(options: IInputVariableViewOptions);
    get editorModel(): MicroEditorModel;
    get inputNode(): JQuery;
    private get focusCallback();
    private get variableUsed();
    private get buttonNode();
    get imgNode(): JQuery;
    template(): string | Array<string> | JQuery;
    show(): void;
    hide(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private popup_init;
    private input_onFocus;
}
